# Snowflake-Proxy Traffic Analyzer

Ein Bash/AWK-Skript zur Analyse von Docker-Logs des [Snowflake-Proxys](https://community.torproject.org/relay/setup/snowflake/standalone/docker/), das Traffic-Statistiken mit Datumsfilterung bereitstellt.

## 📋 Übersicht

Das Skript analysiert die Logs des `snowflake-proxy` Docker-Containers und berechnet:
- Gesamte Download/Upload-Datenmengen
- Zeitraum der analysierten Logs
- Menschenlesbare Formatierung der Datenmengen
- Filterung nach beliebigen Datumsbereichen

## 🖥 Nutzung

```bash
./SnowflakeTraffic.sh [START_DATUM] [END_DATUM]
```

**Parameter**:
- `START_DATUM`: Filterbeginn im Format YYYY-MM-DD, optional
- `END_DATUM`: Filterende im Format YYYY-MM-DD, optional
